{
  "nombre": "Administración de Tareas de Rol",
  "botones": [
    {
      "texto": "Grabar",
      "icono": "save",
      "action": {
        "type": "apicall",
        "mode": "form-urlencoded",
        "url": "Engine",
        "mensajeExitoso": "Tareas del Rol actualizadas",
        "mensajeError": "No se pudo realizar el guardado",
        "formData": {
          "paquete": "std.seguridad",
          "clase": "Seguridad",
          "metodo": "setUsrTar",
          "data": "$(resultData)",
          "parametros": "$(RolId)"
        }
      }
    }
  ],
  "filtros": {
    "submitFunction": "Engine?_dc=1675716058624&paquete=std.seguridad&clase=Seguridad&metodo=getTarRol&parametros=$(RolId)",
    "hideButton": false,
    "fields": [
      {
        "label": "Roles de Usuario",
        "name": "RolId",
        "type": "supercombobox",
        "tabla": "wfrol",
        "id": "RolId",
        "text": "RolNom",
        "where": "EmpId = ",
        "filterByEmpId": true,
        "disabled": false
      }
    ]
  },
  "body": [
    {
      "componente": "TransferList",
      "resultVariableNameLeft": "noestan",
      "resultVariableNameRight": "estan",
      "titleLeft": "No estan en Rol",
      "titleRight": "Estan en Rol",
      "propertyName": "TarNom",
      "propertyId": "TarId"
    }
  ]
}
